import requests

url = "https://api.siliconflow.cn/v1/chat/completions"
kw = "朝雪录"
rn = "US"
payload = {
    "model": "Qwen/Qwen3-14B",
    "max_tokens": 512,
    "enable_thinking": True,
    "thinking_budget": 4096,
    "min_p": 0.05,
    "temperature": 0.7,
    "top_p": 0.7,
    "top_k": 50,
    "frequency_penalty": 0.5,
    "n": 1,
    "stream": False,
    "stop": [],
    "messages": [
        {
            "role": "user",
            "content": """你是一个视频搜索优化助手。用户给你一个中文视频标题或关键词，请你翻译并联想出 10 个适合用于英文视频网站（如 Dailymotion）搜索的关键词，结果用英文逗号分隔输出，仅返回关键词列表，不加说明。

示例输入：朝雪录
示例输出：Coroner's Diary,Coroners Diary, Coroners Diary episode,Coroners Diary season 1,Coroners Diary full episode,coroners diary
"""
        },
        {
            "role": "user",
            "content": f"请推理：{kw} 并输出 10 个地区缩写为{rn}的适合用于视频网站搜索的关键词,地区缩写不在关键词内,。"
        }
    ]
}

headers = {
    "Authorization": "Bearer sk-isvydeloxqhoiwoiojleghdsuhagryjbxzphfhxneevxeoeh",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, timeout=30)

def parse_keywords_from_response(resp_json):
    try:
        # 取出文本内容
        content = resp_json["choices"][0]["message"]["content"]
        # 按英文逗号分隔
        keywords = [kw.strip() for kw in content.split(",") if kw.strip()]
        return keywords
    except Exception as e:
        print("解析失败:", e)
        return []

kws = parse_keywords_from_response(response.json())

print(kws)
print(len(kws))